Model
Get GA
GET
Get the details of a model. This is a <Databricks> workspace version of the MLflow endpoint that also returns the model's <Databricks> workspace ID and the permission level of the requesting user on the model.
API scopes: mlflow
Parameters
- namestringquery
Registered model unique name identifier.
Response
- registered_model_databricksobject
Show child attributesHide child attributes
- namestring
Name of the model.
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- last_updated_timestampint64
Last update time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- descriptionstring
User-specified description for the object.
- latest_versionsarray of object
Array of model versions, each the latest version for its stage.
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- idstring
Unique identifier for the object.
- permission_levelstring
Permission level granted for the requesting user on this registered model
- tagsarray of object
Array of tags associated with the model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Create GA
POST
Creates a new registered model with the name specified in the request body.
Throws RESOURCE_ALREADY_EXISTS if a registered model with the given name exists.
API scopes: mlflow
Request body
- namestring
Register models under this name
- tagsarray of object
Additional metadata for registered model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- descriptionstring
Optional description for registered model.
Response
- registered_modelobject
Show child attributesHide child attributes
- namestring
Unique name for the model.
- creation_timestampint64
Timestamp recorded when this
registered_modelwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
registered_modelwas last updated.
- user_idstring
User that created this
registered_model
- descriptionstring
Description of this
registered_model.
- latest_versionsarray of object
Collection of latest model versions for each stage. Only contains models with current
READYstatus.Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- tagsarray of object
Tags: Additional metadata key-value pairs for this
registered_model.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Update GA
PATCH
Updates a registered model.
API scopes: mlflow
Request body
- namestring
Registered model unique name identifier.
- descriptionstring
If provided, updates the description for this
registered_model.
Response
- registered_modelobject
Show child attributesHide child attributes
- namestring
Unique name for the model.
- creation_timestampint64
Timestamp recorded when this
registered_modelwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
registered_modelwas last updated.
- user_idstring
User that created this
registered_model
- descriptionstring
Description of this
registered_model.
- latest_versionsarray of object
Collection of latest model versions for each stage. Only contains models with current
READYstatus.Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- tagsarray of object
Tags: Additional metadata key-value pairs for this
registered_model.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.